Skip to main content

Create Payable Register File (file upload): Yardi REST

Beta
POSThttps://api.propexo.com/v1/payable-registers/yardi_rest/:payable_register_id/file-upload

Create Payable Register File: Yardi REST. This endpoint will only accept png image files.

InterfaceMethod
Vendor Invoicing/ItfVendorInvoicing/ImportInvoiceRegisterImage
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

payable_register_id stringrequired

The Propexo unique identifier for the payable register

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    vendor_idstring

    The Propexo unique identifier for the vendor

    attachment objectrequired

    Base64 value for a PNG image to attach to the Payable Register.

    file_datastringrequired

    Possible values: <= 66500000 characters

    page_typestring

    The page type of the image to attach to the Payable Register. If not provided, the back page will be used.

    Show 2 enum values
    FRONTBACK
    page_numbernumber

    The page number of the image to attach to the Payable Register. If not provided, page number 1 will be used.

    Possible values: >= 0

    page_countnumber

    The page count of the image to attach to the Payable Register. If not provided, page number 1 will be used.

    Possible values: >= 0

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    payable_register_idstringrequired

    The Propexo unique identifier for the payable register

    vendor_idstring | nullnullablerequired
    attachment objectrequired
    file_datastring | nullnullable

    Possible values: <= 66500000 characters

    page_typestring | nullnullablerequired
    Show 2 enum values
    FRONTBACK
    page_numbernumber | nullnullablerequired

    Possible values: >= 0

    page_countnumber | nullnullablerequired

    Possible values: >= 0

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/payable-registers/yardi_rest/:payable_register_id/file-upload
curl -X POST https://api.propexo.com/v1/payable-registers/yardi_rest/:payable_register_id/file-upload \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_data": "string"
}
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"payable_register_id": "string",
"vendor_id": "string",
"attachment": {
"file_data": "string"
},
"page_type": "FRONT",
"page_number": 0,
"page_count": 0
}
}